# $Revision: 1.39 $, $Date: 2010/09/23 07:03:51 $
# TODO: check init files

Summary:	ices2 - Program for feeding MP3 and OGG streams to an Icecast server
Summary(pl.UTF-8):	ices2 - program dostarczający strumienie MP3 oraz OGG do serwera Icecast
Summary(pt_BR.UTF-8):	Mais um streamer para icecast
Name:		ices
Version:	2.0.1
Release:	3
License:	GPL
Group:		Applications/Sound
Source0:	http://downloads.xiph.org/releases/ices/%{name}-%{version}.tar.bz2
# Source0-md5:	8c7be81b304c4ce588f43b9d02603f6e
Source1:	%{name}.init
Source2:	%{name}.conf.txt
URL:		http://www.icecast.org/ices.php
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc-c++
BuildRequires:	libshout-devel
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	rpmbuild(macros) >= 1.202
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	lame-libs
Requires:	rc-scripts
Provides:	group(icecast)
Provides:	user(icecast)
Obsoletes:	shout
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ices is a part of Icecast server. It submits MP3 and OGG files from a
playlist.

%description -l pl.UTF-8
Ices jest częścią serwera Icecast. Odpowiada za dostarczanie plików
MP3 i OGG wg playlisty do serwera Icecast.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/icecast,/etc/rc.d/init.d,%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ices
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/icecast/ices.conf.txt
install debian/ices2.1 $RPM_BUILD_ROOT%{_mandir}/man1

mv -f conf/*.xml $RPM_BUILD_ROOT%{_sysconfdir}/icecast/

# files *.html, *.css go to doc
# files *.xml, ices.conf.txt go to _sysconfdir
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/{*.html,*.css,*.xml,ices.conf.txt}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 57 icecast
%useradd -u 57 -r -d /usr/share/empty -s /bin/false -c "ices" -g icecast icecast

%post
/sbin/chkconfig --add ices
if [ -f /var/lock/subsys/ices ]; then
	/etc/rc.d/init.d/ices restart >&2
else
	echo "Run '/etc/rc.d/init.d/ices start' to start ices daemon." >&2
fi

%preun
if [ "$1" = "0" ] ; then
	if [ -f /var/lock/subsys/ices ]; then
		/etc/rc.d/init.d/ices stop >&2
	fi
	/sbin/chkconfig --del ices >&2
fi

%postun
if [ "$1" = "0" ]; then
	%userremove icecast
	%groupremove icecast
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO doc/*.html doc/style.css
%attr(754,root,root) /etc/rc.d/init.d/ices
%attr(640,root,icecast) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/icecast/*
%attr(755,root,root) %{_bindir}/ices
%{_mandir}/man1/ices2.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ices.spec,v $
Revision 1.39  2010/09/23 07:03:51  arekm
- release 3

Revision 1.38  2010/01/31 01:02:32  sparky
- BR: alsa-lib-devel, libxml2-devel and gcc-c++ (because of broken configure)

Revision 1.37  2010/01/30 15:37:15  dirdival
- I've forgotten change release, my fault
- now is release 2

Revision 1.36  2010/01/30 15:23:40  dirdival
- BR: pkgconfig
- removed some file from datadir (files *.html, *.css go to doc, files *.xml, ices.conf.txt go to _sysconfdir)
- release 2

Revision 1.35  2007/07/11 18:28:45  jackass
- lame-libs-devel no needed

Revision 1.34  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.33  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.32  2006/06/07 18:40:52  ankry
- fix for useradd from pwdutils

Revision 1.31  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.30  2005/02/28 10:59:12  djrzulf
- started update to 2.0.1,

Revision 1.29  2005/01/17 17:40:31  qboosh
- unified, verify() flags

Revision 1.28  2005/01/16 09:02:23  domelu
- updated to 0.4

Revision 1.27  2005/01/16 08:42:56  domelu
- url fix

Revision 1.26  2004/10/28 10:49:16  paladine
- "MP3" unification

Revision 1.25  2004/08/25 21:40:37  ankry
- rel. 3

Revision 1.24  2004/08/25 18:30:10  ankry
- script fixes

Revision 1.23  2004/08/25 10:05:50  ankry
- use %userremove/%groupremove macros

Revision 1.22  2004/05/29 20:19:26  averne
- BR: python-devel

Revision 1.21  2003/11/11 01:33:22  ankry
- caps unification, other cosmetics

Revision 1.20  2003/09/16 10:59:57  radzio
- build with lame, python, perl
- rel 2

Revision 1.19  2003/09/15 21:15:45  radzio
- 0.3

Revision 1.18  2003/08/11 22:46:31  ankry
- cosmetics

Revision 1.17  2003/08/03 00:30:17  qboosh
- added -f to rm in clean

Revision 1.16  2003/05/28 12:59:07  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 05:48:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/05/17 06:49:03  pascalek
- revert user changes

Revision 1.13  2003/05/10 10:17:34  pascalek
- Req user-icecast

Revision 1.12  2002/10/09 13:14:34  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/08/05 19:24:06  kloczek
- merge translations from Conectiva and use new %doc.

Revision 1.10  2002/06/02 22:47:58  jack
- Updated to 0.2.3 (builds, installs and works ok)
- still doesn't reencode on the fly ;(

Revision 1.9  2002/05/21 23:13:34  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
  	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/05/10 08:29:05  qboosh
- removed COPYING from doc (known - GPL)
- license is GPL v2 or newer, so removed "v2" from License field

Revision 1.7  2002/05/09 22:22:36  qboosh
- fixed en description, better error messages in pre

Revision 1.6  2002/04/27 12:54:53  jack
- added obsoletes shout - it's no longer supported and there is a suggestion to
  "do not use this unless you have a good reason" ;)

Revision 1.5  2002/04/27 10:34:10  jack
- added founded man page ;)

Revision 1.4  2002/04/26 23:20:13  jack
- added text config file
- it builds, it installs, it works! :)
- it doesn't reencode with our lame-libs-devel (dunno why)
- it doesn't build with its own lame-libs
- there are some nasty tricks - feel free to correct me ;)

Revision 1.3  2002/04/26 18:16:00  jack
- Now it builds (thx to mmazur)
- Added to BuildRequires lame-libs-devel
- Added to BR libshout-devel (it's dirty workaround because ices has own libshout but it fails in configure)
- Adapterized
- NFY (needs installation and testing :) )

Revision 1.2  2002/04/26 14:18:58  mmazur
- fixed the ltconfig thingie

Revision 1.1  2002/04/26 12:00:21  jack
- Initial rleased based on spec from mdk and our rewritten from our shout.spec
- Doesn't even build - (I) need someones help (ltconfig: you must specify a host type if you use `--no-verify' \ Try `ltconfig --help' for more information. \ configure: error: libtool configure failed)
